_G.ShorterNames = _G.ShorterNames or {}
ShorterNames.mod_path = ModPath
ShorterNames.options_path = SavePath .. "ShorterNames.txt"
ShorterNames.options = {} 
ShorterNames.hook_files = {
    ["lib/managers/hudmanagerpd2"] = "hudmanager.lua"
}
function ShorterNames:Save()
	local file = io.open( self.options_path, "w+" )
	if file then
		file:write( json.encode( self.options ) )
		file:close()
	end
end
function ShorterNames:Load()
	local file = io.open( self.options_path, "r" )
	if file then
		self.options = json.decode( file:read("*all") )
		file:close()
		if not self.options.max then self.options.max=8 ShorterNames:Save() end
	end
end

Hooks:Add("LocalizationManagerPostInit", "ShorterNames_Localization", function(loc)
	LocalizationManager:add_localized_strings({
	    ["ShorterNames_options_title"] = "Shorter Names",
	    ["ShorterNames_options_desc"] = "Shorter Names Options",  
	   	["ShorterNames_main_scale_title"] = "Maximum length",
	    ["ShorterNames_main_scale_desc"] = "Set the maximum length for the names",	   	
  	})
end)


Hooks:Add("MenuManagerInitialize", "MenuManagerInitialize_ShorterNames", function(menu_manager)
	MenuCallbackHandler.ShorterNames_save = function(self, item)
		if ShorterNames.options.max == nil then 
			ShorterNames.options.max = 8
		end
		ShorterNames:Save()
	end	
	
	MenuCallbackHandler.callback_ShorterNames_max = function(self, item)
		ShorterNames.options.max = item:value()
	end
	
	
	ShorterNames:Load()
	MenuHelper:LoadFromJsonFile(ShorterNames.mod_path .. "options.txt", ShorterNames, ShorterNames.options)
end )

 
if RequiredScript then
	local requiredScript = RequiredScript:lower()
	if ShorterNames.hook_files[requiredScript] then
		dofile( ModPath .. ShorterNames.hook_files[requiredScript] )
	end
end